#include <pic.h>
#include <OSA.h>

#include "sinus.h"
#include "freqs.h"


//#include "bach1067.c"
//#include "elochka.c"
#include "elo4ka.c"


__CONFIG (UNPROTECT & WDTDIS & BOREN & PWRTEN & LVPDIS & HS & MCLREN);


//------------------------------------------------------------------------------


//------------------------------------------------------------------------------


void interrupt my_int(void)
{

    TMR2IF = 0;


    CCP1X = 0;
    CCP1Y = 0;

    CCPR1L = 0x20;

}





//******************************************************************************
// Init PIC periphery
//******************************************************************************
void Init (void)
{
    PORTA = 0;
    PORTB = 0;

    CMCON = 7;

    TRISA = 0x0F;
    TRISB = 0x00;

    T2CON = 0x3C;    // prs = 1; post = 8
    PR2 = 64-1;     // TMR2 period = (PR2+1) * prs * post * Tcyc = 64 * 1 * 8 * 0.2 = 102 us
                    // PWM freq = 1 / ((PR2+1) * prs * Tcyc) = 78 KHz
   CCP1Y = 1 ;   
    CCPR1L = 0x1F;
            
                	      
    CCP1CON = 0x0C;
  //  PEIE = 1;
   // TMR2IE = 1;

}



//------------------------------------------------------------------------------


void main (void)
{
    Init();         // Init periphery
   // GIE=1;
	while (1)
		continue;

}



